#include <stdlib.h>
#include <stdint.h>
#include <assert.h>

unsigned int nondet_uint();

#define assert2(x, y) __CPROVER_assert(x, y)
#define assume(x) __CPROVER_assume(x)

#ifndef V
#define V 3
#endif

#ifndef C
#define C 3
#endif

#ifndef S
#define S 1
#endif

unsigned int *voting(unsigned int votes[V]) {
    unsigned int res[C + 1];
    unsigned int quotient[S][C + 1];
    unsigned int *elect = malloc(S*sizeof(unsigned int));
    unsigned int divisor = 1;
    unsigned int max = 0;
    unsigned int oldMax = V + 1;
    unsigned int i = 0;
    unsigned int j = 0;
    unsigned int k = 0;

    for (i = 0; i < V; i++) {
        assume (0 < votes[i]);
        assume (votes[i] <= C);
    }

    for (i = 0; i <= C; i++) {
        res[i] = 0;
    }
    for (i = 0; i < S; i++) {
        elect[i] = 0;
    }

    for (i = 0; i < V; i++) {
        res[votes[i]]++;
    }

    for (i = 0; i < S; i++, divisor++) {
	for (j = 1; j <= C; j++) {
	    quotient[i][j] = res[j] / divisor;
	}
    }

    for (k = 0; k < S; k++) {
	for (i = 0; i < S; i++) {
	    for (j = 1; j <= C; j++) {
		if (quotient[i][j] < oldMax && max < quotient[i][j]) {
		    elect[k] = j;
		    max = quotient[i][j];
		} else if (quotient[i][j] < oldMax && max == quotient[i][j]) {
		    elect[k] = 0;
		}
	    }
	}
	oldMax = max;
    }
    return elect;
}
